#include <bits/stdc++.h>

using namespace std;

int main()
{
    long int x1, y1, x2, y2;
    int br = 0;
    cin >> x1 >> y1;
    cin >> x2 >> y2;
    if(x1 == x2 || y1 == y2)
    {
        br = 2;
    }
    else if(abs(x1 - x2) == abs(y1 - y2))
    {
        br = 1;
    }
    cout << br << endl;
    return 0;
}